/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumAccesslevel;
import de.ship.db.tables.VCoreRightElement;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreRightElementRecord extends TableRecordImpl<VCoreRightElementRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_right_element.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_right_element.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_right_element.fk_usnr</code>.
     */
    public void setFkUsnr(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_right_element.fk_usnr</code>.
     */
    public Integer getFkUsnr() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_right_element.shippie_acl</code>.
     */
    public void setShippieAcl(EnumAccesslevel value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_right_element.shippie_acl</code>.
     */
    public EnumAccesslevel getShippieAcl() {
        return (EnumAccesslevel) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_right_element.shipdesigner_acl</code>.
     */
    public void setShipdesignerAcl(EnumAccesslevel value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_right_element.shipdesigner_acl</code>.
     */
    public EnumAccesslevel getShipdesignerAcl() {
        return (EnumAccesslevel) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_right_element.square_acl</code>.
     */
    public void setSquareAcl(EnumAccesslevel value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_right_element.square_acl</code>.
     */
    public EnumAccesslevel getSquareAcl() {
        return (EnumAccesslevel) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreRightElementRecord
     */
    public VCoreRightElementRecord() {
        super(VCoreRightElement.V_CORE_RIGHT_ELEMENT);
    }

    /**
     * Create a detached, initialised VCoreRightElementRecord
     */
    public VCoreRightElementRecord(Integer keyElement, Integer fkUsnr, EnumAccesslevel shippieAcl, EnumAccesslevel shipdesignerAcl, EnumAccesslevel squareAcl) {
        super(VCoreRightElement.V_CORE_RIGHT_ELEMENT);

        setKeyElement(keyElement);
        setFkUsnr(fkUsnr);
        setShippieAcl(shippieAcl);
        setShipdesignerAcl(shipdesignerAcl);
        setSquareAcl(squareAcl);
        resetChangedOnNotNull();
    }
}
